.hide {
    display: none !important;
}

.modal {
    max-height: 100vh !important;
    height: 90% !important;
}

.b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 0.5em 1.5em rgba(0, 0, 0, .1), inset 0 0.125em 0.5em rgba(0, 0, 0, .15);
}

.poke-water-blue {
    background-color: #76BDFE !important;
}

.poke-grass-green {
    background-color: #48D0B0 !important;
}

.poke-bug-green {
    background-color: #5DB878!important;
}

.poke-fire-red {
    background-color: #F56D6C !important;
}

.poke-electric-yellow {
    background-color: #FBD870 !important;
}

.poke-normal-grey {
    background-color: #B3BABD !important;
}

.poke-steel-grey {
    background-color: #ADC2C2 !important;
}

.poke-rock-brown {
    background-color: #9F9F8E !important;
}

.poke-fairy-pink {
    background-color: #F47BC2 !important;
}

.poke-psychic-pink {
    background-color: #F155B0 !important;
}

.poke-poison-violett {
    background-color: #A37BA2 !important; /* or #90648E */
}

.poke-fighting-orange {
    background-color: #E28850 !important;
}
.poke-dark-grey {
    background-color: #707070 !important;
}
.poke-ghost-violett {
    background-color: #735B9A !important;
}
.poke-ice-blue {
    background-color: #70CEEB !important;
}

.poke-flying-bluegrey {
    background: rgb(173,194,194) !important;
    background: linear-gradient(0deg, rgba(173,194,194,1) 47%, rgba(112,206,235,1) 51%) !important;
}

.poke-dragon-bluered {
    background: rgb(245,109,108) !important;
    background: linear-gradient(0deg, rgba(245,109,108,1) 47%, rgba(118,189,254,1) 51%) !important;
}

.poke-ground-yellowbrown {
    background: rgb(159,159,142) !important;
    background: linear-gradient(0deg, rgba(159,159,142,1) 47%, rgba(251,216,112,1) 51%) !important;
}

.background-picture {
        position: relative;
}

.background-picture::after {
    content : "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url("/wp-content/uploads/2010/11/tandem.jpg"); 
    width: 100%;
    height: 100%;
    opacity : 0.2;
    z-index: -1;
}

img {
    overflow-clip-margin: 0px !important;
    overflow: clip;
}

.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 48
}

/* custom scrollbar */
::-webkit-scrollbar {
    width: 20px;
  }
  
  ::-webkit-scrollbar-track {
    background-color: transparent;
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background-color: #a8bbbf;
  }

  .hover {
    cursor: pointer;
  }
  
  body::after {
    content: "";
    background: url("./img/pokeball-final.png");
    background-repeat:no-repeat;
    background-attachment:fixed;
    background-position: center;
    opacity: 0.5;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;   
  }

  dialog {
    text-decoration: unset;
    background-color: unset;
    border: unset;
  }

  dialog:focus {
    outline: none; /* Removes the outline completely */
  }
